#!/bin/sh

src="$1"
src="$1.a.bmp"
dst="$1.b.bmp"
cp -rdf "$1" "$src"

w=$2
h=$3

old_w=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $1}'`
echo ""
old_h=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $2}'`

echo "w $old_w  h $old_h"




#convert $src -deskew 40%  $dst
#convert -quality 100  $dst   $src



if [ "$4" != "0" ];then

convert "$src" -deskew 40%  "$dst"
convert "$dst" -deskew 40%  "$src"

fi

new_w=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $1}'`
new_h=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $2}'`




echo "w $new_w  h $new_h"
offset_w=0
offset_h=0

if [ $new_w -gt $w ];then
    diff_w=`expr $new_w - $w`
    offset_w=`expr $diff_w / 2`
    echo "offset w $offset_w"
fi

if [ $new_h -gt $h  ];then
   diff_h=`expr $new_h - $h`
   offset_h=`expr $diff_h / 2`

   echo "offset h $offset_h"
fi


echo "convert \"$src\" -crop ${w}x${h}+${offset_w}+${offset_h}  \"$dst\""

convert "$src" -crop ${w}x${h}+${offset_w}+${offset_h}  "$dst"

convert "$dst" -trim -fuzz 20%    "$src"


#mv -f $dst $1
mv -f "$src" "$1"

rm -rf "$src"
rm -rf "$dst"

exit 0







