#!/bin/sh

quality=$2
src="$3"
dst="$4"

srcdir=`dirname "$src"`
filename=`basename "$src"`
srcext="${filename##*.}"
srcfile="${filename%.*}"

dstdir=`dirname "$dst"`
filename=`basename "$dst"`
dstext="${filename##*.}"
dstfile="${filename%.*}"


#w=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $1}'`
#h=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $2}'`

w=`convert "$src" -format "%w" info:`
h=`convert "$src" -format "%h" info:`


echo "w [$w]  h [$h]"

   
i=`expr $h / 2`
#  echo "cat h $i"
./post/splitcrop   -y "$i" -q "$quality"  "$src" "$srcdir/$dstfile.bmp"
echo " ./post/splitcrop   -y $i -q $quality  $src  $srcdir/$dstfile.bmp"
srcname1="$srcdir/${dstfile}_top.bmp"
dstname1="$dstdir/${dstfile}_top.$dstext"
srcname2="$dstdir/${dstfile}_bottom.bmp"
dstname2="$dstdir/${dstfile}_bottom.$dstext"


./post/multistream.sh "$srcname1" "$dstname1"
./post/multistream.sh "$srcname2" "$dstname2"

rm -rf "$src" "$srcname1" "$srcname2"


echo "rm -rf $src $srcname1 $srcname2"

