#!/bin/bash
src=$1
dst=$2

#v=$3
#quality=$4
#bThrouth=$5
#wThrouth=$6

v="$outFlag"
quality="$outQuality"
bThrouth="$BlackThreshold"
wThrouth="$WhiteThreshold"



dir=`dirname "$src"`
filename=`basename "$src"`
ext="${filename##*.}"

file="${filename%.*}"


#echo "source dir: $dir  filename :$filename ext $ext  file:$file"

dstdir=`dirname "$dst"`
filename=`basename "$dst"`
dstext="${filename##*.}"

dstfile="${filename%.*}"



#echo "dstdir: $dstdir  dstfilename :$filename dstext $dstext  dstfile:$dstfile"



value=$(( $v & 1 ))
if [ "$value" == "1" ];then

#  echo "./post/RGB2BW  $src   \"$dir/$file-Color.$ext\" $bThrouth  $wThrouth  1 "
 ./post/RGB2BW  "$src"   "$dir/$file-Color.$ext" $bThrouth  $wThrouth  1
 
 if [ "$dstext" == "tiff" ];then
    ./post/bmp2tiff -r 12000 -c jpeg:r:$quality  "$dir/$file-Color.$ext"  "$dstdir/$dstfile-Color.$dstext"
    #echo " ./post/bmp2tiff -r 12000 -c jpeg:r:$quality  $src  $dstdir/$dstfile-Color.$dstext"
 else
     convert  -quality $quality       "$dir/$file-Color.$ext"   "$dstdir/$dstfile-Color.$dstext"
 #     mv "$dstdir/$dstfile-Color.tmp.$dstext"  "$dstdir/$dstfile-Color.$dstext"
 fi

 if [ "$dir/$file-Color.$ext" != "$dstdir/$dstfile-Color.$dstext" ];then 
     echo "rm -rf $dir/$file-Color.$ext"

     rm -rf "$dir/$file-Color.$ext"
 fi

fi

value=$(( $v & 2 ))
if [ "$value" == "2" ];then

   ./post/RGB2BW  "$src"   "$dir/$file-Gray.$ext" $bThrouth  $wThrouth  2

#    convert  -quality $quality  -colorspace gray     $src  "$dir/$file-Gray.$ext"
   if [ "$dstext" == "tiff" ];then
      ./post/bmp2tiff -r 12000 -c jpeg:r:$quality  "$dir/$file-Gray.$ext"  "$dstdir/$dstfile-Gray.$dstext"
#      rm -rf "$dir/$file-Gray.$ext" 
   else 
      convert  -quality $quality   "$dir/$file-Gray.$ext"   "$dstdir/$dstfile-Gray.$dstext"
   fi
   if [ "$dir/$file-Gray.$ext" != "$dstdir/$dstfile-Gray.$dstext" ];then
      rm -rf "$dir/$file-Gray.$ext"  
   fi

fi


value=$(( $v & 4 ))

if [ "$value" == "4" ];then
  ./post/RGB2BW  "$src"   "$dir/$file-BW.$ext" $bThrouth  0  0
  
  if [ "$dstext" == "tiff" ];then
     ./post/bmp2tiff -r 12000 -c jpeg:r:$quality  "$dir/$file-BW.$ext"  "$dstdir/$dstfile-BW.$dstext"
    # ./post/bmp2tiff -r 12000 -c zip  "$dir/$file-BW.$ext"  "$dstdir/$dstfile-BW.$dstext"
  else
     convert  -quality $quality   "$dir/$file-BW.$ext"   "$dstdir/$dstfile-BW.$dstext"
  fi

  if [ "$dir/$file-BW.$ext" != "$dstdir/$dstfile-BW.$dstext" ];then
     rm -rf  "$dir/$file-BW.$ext" 
  fi

fi 

#rm -rf  $1





