#!/bin/sh

quality=$2
src="$3"
dst="$4"

srcdir=`dirname "$src"`
filename=`basename "$src"`
srcext="${filename##*.}"
srcfile="${filename%.*}"

dstdir=`dirname "$dst"`
filename=`basename "$dst"`
dstext="${filename##*.}"
dstfile="${filename%.*}"


#w=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $1}'`
#h=`identify $src |awk  -F ' '  '{print $3}' |awk -F 'x' '{print $2}'`

w=`convert "$src" -format "%w" info:`
h=`convert "$src" -format "%h" info:`


echo "w [$w]  h [$h]"


i=`expr $w / 2`
#  echo "cat w $i"
#  ./post/splitcrop   -x $i -q $2  $3  $4
./post/splitcrop   -x "$i" -q $quality  "$src"  "$srcdir/$dstfile.bmp"
echo "./post/splitcrop   -x $i -q $quality  $src  $srcdir/$dstfile.bmp"
  
srcname1="$srcdir/${dstfile}_left.bmp"
dstname1="$dstdir/${dstfile}_left.$dstext"
srcname2="$dstdir/${dstfile}_right.bmp"
dstname2="$dstdir/${dstfile}_right.$dstext"
  

echo "./post/multistream.sh $srcname1 $dstname1"

./post/multistream.sh "$srcname1" "$dstname1"
./post/multistream.sh "$srcname2" "$dstname2"

rm -rf "$src" "$srcname1" "$srcname2"


echo "rm -rf $src $srcname1 $srcname2"

